Issue1008

classification
Title: Jython broken on Java Web Start 1.6
Type: crash Severity: urgent
Components: Core, Library Versions: 2.2rc1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, dmbaggett, fwierzbicki, redl0tus
Priority: Keywords:

Created on 2008-03-15.10:24:06 by redl0tus, last changed 2008-12-30.08:23:22 by cgroves.

Messages
msg3085 (view) Author: dion (redl0tus) Date: 2008-03-15.10:24:04
When starting an embedded Jython interpreter in Java 1.5, it was
possible (with hacks) to load the core modules and custom classes and
modules.  For Java 1.6 this no longer works.  The interpreter cannot
find anything except for the Java classes in the same jar the
interpreter started in.
msg3086 (view) Author: dion (redl0tus) Date: 2008-03-15.10:25:31
Clearly the Jython interpreter does not use ...getResource() methods for
loading the core modules, as these would work in all versions of Java
Web start.
msg3087 (view) Author: Charlie Groves (cgroves) Date: 2008-03-15.14:19:03
I'm not sure what you mean by core modules.  What things are you
importing that fail?  What exception do you get when they fail?
msg3936 (view) Author: Dave Baggett (dmbaggett) Date: 2008-12-16.18:39:40
This is essentially what I was addressing with the patch mentioned in
Issue #1181.
msg3994 (view) Author: Charlie Groves (cgroves) Date: 2008-12-30.08:23:22
As of r5816, modules on the classpath are imported using
getResourceAsStream if they're not found using other methods. I'm
thinking this will fix your issue.
History
Date User Action Args
2008-12-30 08:23:22cgrovessetmessages: + msg3994
2008-12-30 08:23:15cgrovessetmessages: - msg3991
2008-12-30 08:17:53cgrovessetstatus: open -> closed
resolution: fixed
messages: + msg3991
2008-12-16 18:39:40dmbaggettsetnosy: + dmbaggett
messages: + msg3936
2008-03-15 18:58:40fwierzbickisetnosy: + fwierzbicki
2008-03-15 14:19:04cgrovessetnosy: + cgroves
messages: + msg3087
2008-03-15 10:25:31redl0tussetmessages: + msg3086
2008-03-15 10:24:06redl0tuscreate